Package org.apache.ignite.spi.metric

## Class RegexpMetricFilter

- java.lang.Object
- - org.apache.ignite.spi.metric.RegexpMetricFilter

All Implemented Interfaces:
  `Predicate<ReadOnlyMetricRegistry>`

    public class RegexpMetricFilter
    extends Object
    implements Predicate<ReadOnlyMetricRegistry>

Metric registry filter based on regular expression.

### Constructor Summary

Constructors
`RegexpMetricFilter​(String regNameRegex)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `test​(ReadOnlyMetricRegistry mreg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

### Constructor Detail

#### RegexpMetricFilter

    public RegexpMetricFilter​(String regNameRegex)

Parameters:
  `regNameRegex` - Regular expression to filter metric registries.

### Method Detail

#### test

    public boolean test​(ReadOnlyMetricRegistry mreg)

Specified by:
  `test` in interface `Predicate<ReadOnlyMetricRegistry>`